﻿#header {
    position: sticky;
    top: 0;
    z-index: 900;
    border-bottom: 2px solid var(--color-bg);
    background-color: var(--color-white);
    box-shadow: 0 8px 8px -4px rgba(0, 0, 0, 0.5);
}

#div-header-phone {
    text-align: center;
    background-color: var(--color-brand-color-2);
}

    #div-header-phone a {
        color: var(--color-white);
        padding: 5px 20px;
        font-size: 0.75rem;
    }

#header-bottom {
    display: flex;
    align-items: center;
    text-align: center;
    padding: 7px 25px;
}

#div-header-logo a,
#div-header-logo a img {
    height: 45px;
}

    #div-header-logo a img:first-child {
        display: block;
    }

    #div-header-logo a img:last-child {
        display: none;
    }

#nav-header-main-menu {
    flex-grow: 1;
}

    #nav-header-main-menu > ul {
        list-style-type: none;
        display: flex;
        justify-content: center;
    }

        #nav-header-main-menu > ul > li {
            display: block;
            flex-grow: 1;
            position: relative;
        }

            #nav-header-main-menu > ul > li > a {
                display: block;
                
            }

            #nav-header-main-menu > ul > li > ul {
                list-style-type: none;
                position: absolute;
                padding-top: 15px;
                top: 20px;
                right: 0;
                left: 0;
                visibility: hidden;
            }

            #nav-header-main-menu > ul > li:hover > ul {
                visibility: visible;
            }

            #nav-header-main-menu > ul > li > ul > li {
                border-bottom: 1px solid var(--color-white);
                border-right: 1px solid var(--color-white);
                border-left: 1px solid var(--color-white);
                background-color: var(--color-white);
            }

                #nav-header-main-menu > ul > li > ul > li:first-child {
                    /*border-top: 2px solid var(--color-brand-color-1);*/
                    border-top:none;
                    padding-top:7px;
                }

                #nav-header-main-menu > ul > li > ul > li > a {
                    display: block;
                    padding: 8px;
                }

                    #nav-header-main-menu > ul > li > a:hover,
                    #nav-header-main-menu > ul > li > ul > li > a:hover {
                        color: var(--color-brand-color-1);
                    }



#div-header-contact a {
    display: inline-block;
    background-color: var(--color-brand-color-1);
    color: var(--color-white);
    padding: 3px 10px;
    border-radius: 5px;
    border: 2px solid var(--color-brand-color-1);
}

#div-header-res-menu {
    display: none;
}

    #div-header-res-menu > a {
        color: var(--color-brand-color-2);
    }

#div-res-menu-popup {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    max-height: 100%;
    overflow: auto;
    background-color: var(--color-res-bg);
    display: none;
}

#div-res-menu {
    background-color: var(--color-white);
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    max-height: 100%;
    overflow: auto;
    padding: 10px 15px;
}

    #div-res-menu img {
        display: block;
        height: 45px;
        margin: 0 auto 10px;
    }

    #div-res-menu ul {
        list-style-type: none;
    }

    #div-res-menu > ul > li {
        padding: 5px 0;
        border-bottom: 1px solid var(--color-white);
        text-align: center;
    }

        #div-res-menu > ul > li:last-child {
            border-bottom: none;
        }

        #div-res-menu > ul > li > a {
            padding: 5px 7px;
            display: block;
            width: 100%;
        }

        #div-res-menu > ul > li > ul {
            display: none;
        }

        #div-res-menu > ul > li:hover > ul {
            display: block;
        }

        #div-res-menu > ul > li > ul > li {
            padding: 5px 0;
            text-align: center;
        }

            #div-res-menu > ul > li > ul > li > a {
                padding: 5px 7px;
                display: block;
                width: 100%;
            }

                #div-res-menu > ul > li > a:hover,
                #div-res-menu > ul > li > ul > li > a:hover {
                    color: var(--color-brand-color-1);
                }



@media screen and (max-width: 1024px) {
    #div-header-logo a img:first-child {
        display: none;
    }

    #div-header-logo a img:last-child {
        display: block;
    }

    #nav-header-main-menu {
        display: none;
    }

    #div-header-contact {
        flex-grow: 1;
    }

    #div-header-res-menu {
        display: block;
    }

    #div-res-menu-popup {
        transform: translateX(100%);
        transition-duration: 0.5s;
        display: block;
    }
}
